﻿dofile(ModPath .. "menu/menu.lua")

Hooks:PostHook(GroupAITweakData, "_init_unit_categories", "Mixed_Tiers", function(self, difficulty_index)
--Shortcuts
local tiers_active = MixedTiers.settings.active == true
local city_rifleman_both = MixedTiers.settings.city_rifleman == 1
local city_rifleman_g36 = MixedTiers.settings.city_rifleman == 2
local city_rifleman_ump = MixedTiers.settings.city_rifleman == 3
local city_shotgunner_both = MixedTiers.settings.city_shotgunner == 1
local city_shotgunner_r870 = MixedTiers.settings.city_shotgunner == 2
local city_shotgunner_benelli = MixedTiers.settings.city_shotgunner == 3
local zeal_sniper = MixedTiers.settings.zeal_marksman == true
--Normal with beat cops
	if MixedTiers.settings.cop_normal == true and tiers_active and difficulty_index == 2 then
		self.unit_categories.CS_swat_MP5.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1")
		}
		self.unit_categories.CS_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2")
		}
		self.unit_categories.CS_heavy_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3")
		}
		self.unit_categories.CS_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4")
		}
		self.unit_categories.FBI_swat_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1")
		}
		self.unit_categories.FBI_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2")
		}
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4")
		}
--Normal
	elseif tiers_active and difficulty_index == 2 then
		self.unit_categories.CS_swat_MP5.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"),
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1")
		}
		self.unit_categories.CS_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"),
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2")
		}
		self.unit_categories.CS_heavy_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3"),
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3"),
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1")
		}
		self.unit_categories.CS_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"),
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"),
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870")
		}
		self.unit_categories.FBI_swat_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"),
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1")
		}
		self.unit_categories.FBI_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"),
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2")
		}
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3"),
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3"),
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"),
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"),
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870")
		}
	end
--Hard
	if tiers_active and difficulty_index == 3 then
		self.unit_categories.CS_swat_MP5.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1")
		}
		self.unit_categories.CS_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2")
		}
		self.unit_categories.CS_heavy_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3"),
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1")
		}
		self.unit_categories.CS_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"),
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870")
		}
		self.unit_categories.FBI_swat_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_1/ene_cop_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1")
		}
		self.unit_categories.FBI_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_2/ene_cop_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2")
		}
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_3/ene_cop_3"),
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_cop_4/ene_cop_4"),
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870")
		}
	end
--Very Hard
	if tiers_active and difficulty_index == 4 then
		self.unit_categories.FBI_swat_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1"),
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1"),
			Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1")
		}
		self.unit_categories.FBI_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2"),
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2"),
			Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2")
		}
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1"),
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1"),
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1"),
			Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870"),
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870"),
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870"),
			Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870")
		}
		self.unit_categories.FBI_shield.unit_types.america = {
			Idstring("units/payday2/characters/ene_shield_2/ene_shield_2"),
			Idstring("units/payday2/characters/ene_shield_2/ene_shield_2"),
			Idstring("units/payday2/characters/ene_shield_2/ene_shield_2"),
			Idstring("units/payday2/characters/ene_shield_1/ene_shield_1")
		}
	end
--Overkill
	if tiers_active and difficulty_index == 5 then
		self.unit_categories.FBI_swat_M4.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_1/ene_swat_1"),
			Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
			Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1")
		}
		self.unit_categories.FBI_swat_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_2/ene_swat_2"),
			Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
			Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2")
		}
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_heavy_1/ene_swat_heavy_1"),
			Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1"),
			Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_swat_heavy_r870/ene_swat_heavy_r870"),
			Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870"),
			Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870")
		}
		self.unit_categories.FBI_shield.unit_types.america = {
			Idstring("units/payday2/characters/ene_shield_2/ene_shield_2"),
			Idstring("units/payday2/characters/ene_shield_1/ene_shield_1"),
			Idstring("units/payday2/characters/ene_shield_1/ene_shield_1")
		}
	end
--Mayhem
	if tiers_active and difficulty_index == 6 then
	--Heavies and Shields
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1"),
			Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1"),
			Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870"),
			Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870"),
			Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870")
		}
		self.unit_categories.FBI_shield.unit_types.america = {
			Idstring("units/payday2/characters/ene_shield_1/ene_shield_1"),
			Idstring("units/payday2/characters/ene_city_shield/ene_city_shield")
		}
	--Light riflemen
		if city_rifleman_both then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3")
			}
		end
		if city_rifleman_g36 then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1")
			}
		end
		if city_rifleman_ump then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3")
			}
		end
	--Light shotgunners
		if city_shotgunner_both then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if city_shotgunner_r870 then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if city_shotgunner_benelli then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2")
			}
		end
	end
--Deathwish
	if tiers_active and difficulty_index == 7 then
	--Heavies and Shields
		self.unit_categories.FBI_heavy_G36.unit_types.america = {
			Idstring("units/payday2/characters/ene_fbi_heavy_1/ene_fbi_heavy_1"),
			Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36")
		}
		self.unit_categories.FBI_heavy_R870.unit_types.america = {
			Idstring("units/payday2/characters/ene_fbi_heavy_r870/ene_fbi_heavy_r870"),
			Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870")
		}
		self.unit_categories.FBI_shield.unit_types.america = {
			Idstring("units/payday2/characters/ene_shield_1/ene_shield_1"),
			Idstring("units/payday2/characters/ene_city_shield/ene_city_shield"),
			Idstring("units/payday2/characters/ene_city_shield/ene_city_shield")
		}
	--Light riflemen
		if city_rifleman_both then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3")
			}
		end
		if city_rifleman_g36 then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1")
			}
		end
		if city_rifleman_ump then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_1/ene_fbi_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3")
			}
		end
	--Light shotgunners
		if city_shotgunner_both then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if city_shotgunner_r870 then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if city_shotgunner_benelli then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_fbi_swat_2/ene_fbi_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2")
			}
		end
	end
--Death Sentence with more GenSec
	if MixedTiers.settings.city_sm_wish == true and tiers_active and difficulty_index == 8 then
	--Most specials
		self.unit_categories.FBI_shield.unit_types.america = {
			Idstring("units/payday2/characters/ene_city_shield/ene_city_shield"),
			Idstring("units/payday2/characters/ene_city_shield/ene_city_shield"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_shield/ene_zeal_swat_shield")
		}
		self.unit_categories.CS_tazer.unit_types.america = {
			Idstring("units/payday2/characters/ene_tazer_1/ene_tazer_1"),
			Idstring("units/payday2/characters/ene_tazer_1/ene_tazer_1"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_tazer/ene_zeal_tazer")
		}
		self.unit_categories.spooc.unit_types.america = {
			Idstring("units/payday2/characters/ene_spook_1/ene_spook_1"),
			Idstring("units/payday2/characters/ene_spook_1/ene_spook_1"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_cloaker/ene_zeal_cloaker")
		}
		self.unit_categories.FBI_tank.unit_types.america = {
			Idstring("units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1"),
			Idstring("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"),
			Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"), --non-zeal medic dozers dont exist :(
			Idstring("units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1"),
			Idstring("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"),
			Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer/ene_zeal_bulldozer"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_2/ene_zeal_bulldozer_2"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_3/ene_zeal_bulldozer_3"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic")
		}
	--Light riflemen
		if city_rifleman_both then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
			}
		end
		if city_rifleman_g36 then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
			}
		end
		if city_rifleman_ump then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
			}
		end
	--Light shotgunners
		if StreamHeist and city_shotgunner_both then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2")
			}
		elseif city_shotgunner_both then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if StreamHeist and city_shotgunner_r870 then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2")
			}
		elseif city_shotgunner_r870 then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if StreamHeist and city_shotgunner_benelli then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2")
			}
		elseif city_shotgunner_benelli then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2")
			}
		end
	--Heavy riflemen
		if zeal_sniper then
			self.unit_categories.FBI_heavy_G36.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper")
			}
		else
			self.unit_categories.FBI_heavy_G36.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy")
			}
		end
	--Heavy shotgunners
		if StreamHeist and zeal_sniper then
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper")
			}
		elseif zeal_sniper then
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper")
			}
		elseif StreamHeist then
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2")
			}
		else
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870")
			}
		end
	--Medics
		if StreamHeist then
			self.unit_categories.medic_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_m4/ene_medic_m4"),
				Idstring("units/payday2/characters/ene_medic_m4/ene_medic_m4"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_medic_m4/ene_zeal_medic_m4")
			}
			self.unit_categories.medic_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_r870/ene_medic_r870"),
				Idstring("units/payday2/characters/ene_medic_r870/ene_medic_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_medic_r870/ene_zeal_medic_r870")
			}
		else
			self.unit_categories.medic_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_m4/ene_medic_m4")
			}
			self.unit_categories.medic_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_r870/ene_medic_r870")
			}
		end
--Death Sentence
	elseif tiers_active and difficulty_index == 8 then
	--Most specials
		self.unit_categories.FBI_shield.unit_types.america = {
			Idstring("units/payday2/characters/ene_city_shield/ene_city_shield"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_shield/ene_zeal_swat_shield")
		}
		self.unit_categories.CS_tazer.unit_types.america = {
			Idstring("units/payday2/characters/ene_tazer_1/ene_tazer_1"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_tazer/ene_zeal_tazer")
		}
		self.unit_categories.spooc.unit_types.america = {
			Idstring("units/payday2/characters/ene_spook_1/ene_spook_1"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_cloaker/ene_zeal_cloaker")
		}
		self.unit_categories.FBI_tank.unit_types.america = {
			Idstring("units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1"),
			Idstring("units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2"),
			Idstring("units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun_classic/ene_bulldozer_minigun_classic"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer/ene_zeal_bulldozer"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_2/ene_zeal_bulldozer_2"),
			Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_bulldozer_3/ene_zeal_bulldozer_3"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_minigun/ene_bulldozer_minigun"),
			Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic")
		}
	--Light riflemen
		if city_rifleman_both then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
			}
		end
		if city_rifleman_g36 then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_1/ene_city_swat_1"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
			}
		end
		if city_rifleman_ump then
			self.unit_categories.FBI_swat_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_3/ene_city_swat_3"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat/ene_zeal_swat")
			}
		end
	--Light shotgunners
		if StreamHeist and city_shotgunner_both then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2")
			}
		elseif city_shotgunner_both then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if StreamHeist and city_shotgunner_r870 then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2")
			}
		elseif city_shotgunner_r870 then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_r870/ene_city_swat_r870")
			}
		end
		if StreamHeist and city_shotgunner_benelli then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_2/ene_zeal_swat_2")
			}
		elseif city_shotgunner_benelli then
			self.unit_categories.FBI_swat_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_swat_2/ene_city_swat_2")
			}
		end
	--Heavy riflemen
		if zeal_sniper then
			self.unit_categories.FBI_heavy_G36.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy"),
				Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper")
			}
		else
			self.unit_categories.FBI_heavy_G36.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_g36/ene_city_heavy_g36"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy/ene_zeal_swat_heavy")
			}
		end
	--Heavy shotgunners
		if StreamHeist and zeal_sniper then
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2"),
				Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper")
			}
		elseif zeal_sniper then
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_drm/characters/ene_zeal_swat_heavy_sniper/ene_zeal_swat_heavy_sniper")
			}
		elseif StreamHeist then
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_swat_heavy_2/ene_zeal_swat_heavy_2")
			}
		else
			self.unit_categories.FBI_heavy_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_city_heavy_r870/ene_city_heavy_r870")
			}
		end
	--Medics
		if StreamHeist then
			self.unit_categories.medic_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_m4/ene_medic_m4"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_medic_m4/ene_zeal_medic_m4")
			}
			self.unit_categories.medic_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_r870/ene_medic_r870"),
				Idstring("units/pd2_dlc_gitgud/characters/ene_zeal_medic_r870/ene_zeal_medic_r870")
			}
		else
			self.unit_categories.medic_M4.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_m4/ene_medic_m4")
			}
			self.unit_categories.medic_R870.unit_types.america = {
				Idstring("units/payday2/characters/ene_medic_r870/ene_medic_r870")
			}
		end
	end
end)