﻿if not MixedTiers then
	_G.MixedTiers = {}
	MixedTiers.modpath = ModPath
	MixedTiers.settings = {
		active = true,
		cop_normal = false,
		city_rifleman = 1,
		city_shotgunner = 1,
		city_sm_wish = false,
		zeal_marksman = false
	}

	function MixedTiers:Save()
		local file = io.open(SavePath .. "mixed_tiers.txt", "w+")
		if file then
			file:write(json.encode(MixedTiers.settings))
			file:close()
		end
	end

	function MixedTiers:Load()
		local file = io.open(SavePath .. "mixed_tiers.txt", "r")
		if file then
			for k, v in pairs(json.decode(file:read("*all")) or {}) do
				MixedTiers.settings[k] = v
			end
			file:close()
		end
	end

		MixedTiers:Load()
	MixedTiers:Save()	
end