﻿dofile(ModPath .. "menu/menu.lua")

Hooks:Add("LocalizationManagerPostInit", "MT_localize_menu", function(loc)
	loc:load_localization_file(MixedTiers.modpath .. "menu/english.txt", false)
end)

Hooks:Add("MenuManagerInitialize", "MT_init_menu", function(menu_manager)
	MenuCallbackHandler.mt_save = function(this, item)
		MixedTiers:Save()
	end
	MenuCallbackHandler.mt_active_callback = function(this, item)
		MixedTiers.settings[item:name()] = item:value() == "on"
		MixedTiers:Save()
	end
	MenuCallbackHandler.mt_cop_normal_callback = function(this, item)
		MixedTiers.settings[item:name()] = item:value() == "on"
		MixedTiers:Save()
	end
	MenuCallbackHandler.mt_city_rifleman_callback = function(this, item)
		MixedTiers.settings.city_rifleman = tonumber(item:value())
		MixedTiers:Save()
	end
	MenuCallbackHandler.mt_city_shotgunner_callback = function(this, item)
		MixedTiers.settings.city_shotgunner = tonumber(item:value())
		MixedTiers:Save()
	end
	MenuCallbackHandler.mt_city_sm_wish_callback = function(this, item)
		MixedTiers.settings[item:name()] = item:value() == "on"
		MixedTiers:Save()
	end
	MenuCallbackHandler.mt_zeal_marksman_callback = function(this, item)
		MixedTiers.settings[item:name()] = item:value() == "on"
		MixedTiers:Save()
	end

	MixedTiers:Load()

	MenuHelper:LoadFromJsonFile(MixedTiers.modpath .. "menu/menu.txt", MixedTiers, MixedTiers.settings)
end)